#include <vector>
#include <iostream>
#include <cmath>

#include "readwrite.h"
#include "smooth.h"
#include "error.h"

int main( int argc, char **argv ) try {
    std::vector< double > x, y, sy;
    read_data( "non_smoothable.txt", x, y );
    smooth( x, y, sy, 3 );
    //write_data_on_screen( x, y );
    write_data( "smoothed.txt", x, sy );
    return 0;
} catch( TError_Generic_error Error ) {
    std::cerr << "Error: " << Error.description << "\n";
    return 3;
} catch( TError_File_open Error ) {
    std::cerr << "Could not open a file: " << Error.file_name << "\n";
    return 2;
} catch(...) {
    std::cerr << "unknown error\n";
    return 1;
}
